Ventana emergente de error de Eclipse: "Problema de certificate"

Durante las últimas semanas sigo recibiendo el siguiente error cada vez que uso el complemento SVN en Eclipse:

Certificate Problem There is a problem with the site's security certificate Error validating server certificate for: https://x10.svn.sourceforge.net:443 - Unknow certificate issuer Fingerprint: ..... Distinguished name: GeoTrust,Inc., US 

Seleccionar Confianza siempre no hace nada, solo vuelve a hacer clic. Intenté volver a instalar subeclipse y nada. ¿Alguna idea sobre como arreglar esto? ¿O al less cómo desactivar estas malditas notifications de problemas de certificates?

¡Gracias!

¿El certificate raíz GoeTrust está en su tienda raíz de confianza?

Inicio> Ejecutar> mmc> Archivo> Agregar complemento de eliminación> Agregar …> Certificados> Usuario actual> Listo.

En Trusted Root Store, busque el certificate GeoTrust que coincida con el emisor del certificate que le proporcionó el error. Si no está allí, tendrá que instalarlo manualmente.

Sus certificaciones de raíz se pueden encontrar aquí: http://www.geotrust.com/resources/root-certificates/

Estoy usando el complemento Subversivo para Eclipse y slikSVN como mi repository. Noté el mismo problema con la window emergente que aparece constantemente incluso después de hacer clic en "Confiar siempre".

Encontré una solución alternativa que se puede hacer a través de Eclipse:

Vaya a Ventana -> Preferences -> Expandir sistemas remotos -> Contraseñas -> click Agregar (para Nombre de host , agregue la URL que requiere la verificación de security en la window emergente, ej. https://svn2.sliksvn.com:443 , o en su caso: https://x10.svn.sourceforge.net:443 ). Elija el tipo de sistema apropiado (utilicé "Pnetworkingeterminado"), luego complete su identificación de usuario SVN, contraseña y contraseña de verificación . Haga clic en Aceptar, y eso debería funcionar también.